Package org.apache.synapse.commons.emulator.core

## Enum EmulatorType

- java.lang.Object
- - java.lang.Enum<EmulatorType>
  - - org.apache.synapse.commons.emulator.core.EmulatorType

- All Implemented Interfaces:
    `Serializable`, `Comparable<EmulatorType>`

      public enum EmulatorType
      extends Enum<EmulatorType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HTTP_CONSUMER` |
    `HTTP_PRODUCER` |
    `TCP_CONSUMER` |
    `TCP_PRODUCER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static EmulatorType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static EmulatorType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### HTTP_CONSUMER

          public static final EmulatorType HTTP_CONSUMER

    - #### HTTP_PRODUCER

          public static final EmulatorType HTTP_PRODUCER

    - #### TCP_CONSUMER

          public static final EmulatorType TCP_CONSUMER

    - #### TCP_PRODUCER

          public static final EmulatorType TCP_PRODUCER

  - ### Method Detail

    - #### values

          public static EmulatorType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EmulatorType c : EmulatorType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EmulatorType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null